;
; Cargador paquete "TRON-COMM"
;    Ver "tron-comm.lsp"
;

(defpackage "TRON-COMM"
  (:nicknames "TRON-COMM-FUN" "TR-COMM" "TRON-C")
  (:use "LISP")
  (:documentation "Interface de comunicaciones entre agentes y servidor de juego.")
  (:export 
   "VERSION-TRON-COMM"
   "MY-WARNING"
   "ENVIO-INI"
   "ENVIO-FIN"
   "CONSULTA-ACCION"
   "ENVIO-CAMB-EST"
   "ENVIO-CAMB-POS"
   "ENVIO-PET-INI"
   "ENVIO-PET-CONSULTA-ACCION"
   "CONSULTA-POS-JUG"
   "CONSULTA-EST-JUG"
   "CONSULTA-POS-TAB"
   "CONSULTA-TAB"
   "CONSULTA-TURNO"
   "CONSULTA-CONTADOR"))

(unless (find-package "TRON-BASE")
  (load (concatenate 'string
		     (directory-namestring
		      (eval (or (find-symbol "*LOAD-TRUENAME*")
				(find-symbol "*LOAD-PATHNAME*")
				(find-symbol "*LOAD-PATHNAME*" "SYSTEM")
			       "")))
		     "tron-base-package")))
